WordPress.org

Ready to get started?Download WordPress

Forums

Constant Contact for WordPress
[resolved] Problem activating constant contact api: form designer (11 posts)

  1. harkedai
    Member
    Posted 2 years ago #

    I successfully activated Constant contact api but when I tried to activate the form designer I get this message

    'each ($arr as $k => $v) { $temp[] = '"'.$k.'":'.cfjson_encode($v); } $json_str .= implode(',', $temp); $json_str .= '}'; } else if (is_string($arr)) { $json_str = '"'. cfjson_encode_string($arr) . '"'; } else if (is_numeric($arr)) { $json_str = $arr; } else if (is_bool($arr)) { $json_str = $arr ? 'true' : 'false'; } else { $json_str = '"'. cfjson_encode_string($arr) . '"'; } return $json_str; } } ?>
    Warning: Cannot modify header information - headers already sent by (output started at /hermes/web02/b664/moo.faithnfundingcom/wp-content/plugins/constant-contact-api/constant-analytics.php:873) in /hermes/web02/b664/moo.faithnfundingcom/wp-includes/pluggable.php on line 866

    Parse error: syntax error, unexpected '}' in /hermes/web02/b664/moo.faithnfundingcom/wp-content/plugins/constant-contact-api/form-designer.php on line 535'

    Can some body please explain me how to fix this ?

    http://wordpress.org/extend/plugins/constant-contact-api/

  2. harkedai
    Member
    Posted 2 years ago #

    Once I logged out of wordpress and tried to get back in at http://www.mywebsite.com/wp-admin, I received this message.

    'each ($arr as $k => $v) { $temp[] = '"'.$k.'":'.cfjson_encode($v); } $json_str .= implode(',', $temp); $json_str .= '}'; } else if (is_string($arr)) { $json_str = '"'. cfjson_encode_string($arr) . '"'; } else if (is_numeric($arr)) { $json_str = $arr; } else if (is_bool($arr)) { $json_str = $arr ? 'true' : 'false'; } else { $json_str = '"'. cfjson_encode_string($arr) . '"'; } return $json_str; } } ?>
    Warning: Cannot modify header information - headers already sent by (output started at /hermes/web02/b664/moo.faithnfundingcom/wp-content/plugins/constant-contact-api/constant-analytics.php:873) in /hermes/web02/b664/moo.faithnfundingcom/wp-includes/pluggable.php on line 866'

    I am not able to figure out what is wrong. Can someone help me please.

  3. mhobbi01
    Member
    Posted 2 years ago #

    I am having the same issue... Can someone please fix this ASAP???

  4. ntarantino
    Member
    Posted 2 years ago #

    Confirmed the same issue.

  5. swinghail
    Member
    Posted 2 years ago #

    I'm also getting this error.... it's on my client's live site :(

  6. JezHK
    Member
    Posted 2 years ago #

    looks like a copy paste error in constant-analytics.php - the version in 2.3.3 has an extra section of code (right at the end of the file) that once removed fixes this issue. (basically the section you have all pasted, from 'each' to '?>').

    Hope this helps!

  7. Zack Katz
    Member
    Plugin Author

    Posted 2 years ago #

    I apologize for these issues. 2.3.5.1 - just uploaded - will fix these issues.

    Somehow a few files had some copy/pasted codeā€¦I have no idea how that happened, as I was testing the plugin on my own site before upload.

    Sorry for the trouble!

  8. tadhgrrr
    Member
    Posted 2 years ago #

    still getting an error for the form designer with 2.3.5.1:

    Parse error: syntax error, unexpected '}'

    wp-content/plugins/constant-contact-api/form-designer-meta-boxes.php on line 768

    anybody else getting this?

  9. tadhgrrr
    Member
    Posted 2 years ago #

    i removed this from the end of the file mentioned above

    -->
    <?php
    }

    ?>

    and its working now

  10. mattbovell
    Member
    Posted 2 years ago #

    Can someone tell me if 2.3.6 resolves these issues? A release prior to 2.3.6 displayed error messages above my web site and then prevented me from logging into the backend. I deleted the API via FTP and installed a back level (2.3.1) and everything is back to normal.

    I don't want to upgrade to 2.3.6 if it is going to break my site again.

    I'm on WordPress 3.3.1 and theme 2010 Weaver 1.5.4

  11. Zack Katz
    Member
    Plugin Author

    Posted 2 years ago #

    Yes, this is fixed in Version 2.3.6.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic